Bug 234687 - graphics/opensubdiv : fails to package with DEFAULT_VERSIONS=python=3.x
Summary: graphics/opensubdiv : fails to package with DEFAULT_VERSIONS=python=3.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 234633
  Show dependency treegraph
 
Reported: 2019-01-07 09:19 UTC by Antoine Brodin
Modified: 2019-03-25 18:13 UTC (History)
1 user (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
maintainer update graphics/opensubdiv (4.29 KB, patch)
2019-01-13 23:50 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/opensubdiv (490 bytes, patch)
2019-02-23 03:51 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Brodin freebsd_committer 2019-01-07 09:19:23 UTC
portmgr@ plans to make python3.6 default version of python in the next weeks.

graphics/opensubdiv fails to package with DEFAULT_VERSIONS=python=3.x

Failure log:

http://package23.nyi.freebsd.org/data/112i386-default-PR234633/2019-01-05_13h25m51s/logs/errors/opensubdiv-3.3.3.log
Comment 1 Shane 2019-01-13 23:50:43 UTC
Created attachment 201107 [details]
maintainer update graphics/opensubdiv

fix document generation when using python3.x
Comment 2 commit-hook freebsd_committer 2019-01-28 19:53:41 UTC
A commit references this bug:

Author: tobik
Date: Mon Jan 28 19:53:29 UTC 2019
New revision: 491516
URL: https://svnweb.freebsd.org/changeset/ports/491516

Log:
  graphics/opensubdiv: Fix document generation when using Python 3.x as default

  PR:		234687
  Submitted by:	FreeBSD@ShaneWare.Biz (maintainer)
  Reported by:	antoine

Changes:
  head/graphics/opensubdiv/files/patch-documentation_processHtml.py
  head/graphics/opensubdiv/files/patch-documentation_processTutorials.py
Comment 3 Tobias Kortkamp freebsd_committer 2019-01-28 19:54:03 UTC
That's some next level avoidance of having to 'from __future__
import print_function', but seems ok.

Committed. Thanks!
Comment 4 Antoine Brodin freebsd_committer 2019-02-18 11:58:12 UTC
Re-open: it still fails to package

Failure log:

http://package18.nyi.freebsd.org/data/112amd64-default-PR234633/2019-02-18_09h32m09s/logs/errors/opensubdiv-3.3.3.log
Comment 5 Shane 2019-02-23 03:51:45 UTC
Created attachment 202281 [details]
maintainer update graphics/opensubdiv

Add DOCS_USES= python:build so that vars are setup to allow cmake to find py3 interpreter.
Comment 6 commit-hook freebsd_committer 2019-03-25 18:13:10 UTC
A commit references this bug:

Author: antoine
Date: Mon Mar 25 18:12:39 UTC 2019
New revision: 496848
URL: https://svnweb.freebsd.org/changeset/ports/496848

Log:
  Fix build with DEFAULT_VERSIONS=python=3.x

  PR:		234687

Changes:
  head/graphics/opensubdiv/Makefile